ReadOnlyMapWrapper (JavaFX 13)

Module javafx.base
Package javafx.beans.property

## Class ReadOnlyMapWrapper<K,​V>

- java.lang.Object
- - javafx.beans.binding.MapExpression<K,​V>
  - - javafx.beans.property.ReadOnlyMapProperty<K,​V>
    - - javafx.beans.property.MapProperty<K,​V>
      - - javafx.beans.property.MapPropertyBase<K,​V>
        - - javafx.beans.property.SimpleMapProperty<K,​V>
          - - javafx.beans.property.ReadOnlyMapWrapper<K,​V>

- All Implemented Interfaces:
    `Map<K,​V>`, `Observable`, `Property<ObservableMap<K,​V>>`, `ReadOnlyProperty<ObservableMap<K,​V>>`, `ObservableMapValue<K,​V>`, `ObservableObjectValue<ObservableMap<K,​V>>`, `ObservableValue<ObservableMap<K,​V>>`, `WritableMapValue<K,​V>`, `WritableObjectValue<ObservableMap<K,​V>>`, `WritableValue<ObservableMap<K,​V>>`, `ObservableMap<K,​V>`

      public class ReadOnlyMapWrapper<K,​V>
      extends SimpleMapProperty<K,​V>

  This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.
  Since:
    JavaFX 2.1

- - ### Property Summary

    - ### Properties inherited from class javafx.beans.property.MapPropertyBase

      `empty, size`

  - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadOnlyMapWrapper()` | The constructor of `ReadOnlyMapWrapper`
    `ReadOnlyMapWrapper​(Object bean, String name)` | The constructor of `ReadOnlyMapWrapper`
    `ReadOnlyMapWrapper​(Object bean, String name, ObservableMap<K,​V> initialValue)` | The constructor of `ReadOnlyMapWrapper`
    `ReadOnlyMapWrapper​(ObservableMap<K,​V> initialValue)` | The constructor of `ReadOnlyMapWrapper`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `fireValueChangedEvent()` | Sends notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `MapChangeListener`.
    `protected void` | `fireValueChangedEvent​(MapChangeListener.Change<? extends K,​? extends V> change)` | Sends notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `MapChangeListener`.
    `ReadOnlyMapProperty<K,​V>` | `getReadOnlyProperty()` | Returns the readonly property, that is synchronized with this `ReadOnlyMapWrapper`.

    - ### Methods inherited from class javafx.beans.property.SimpleMapProperty

      `getBean, getName`

    - ### Methods inherited from class javafx.beans.property.MapPropertyBase

      `addListener, addListener, addListener, bind, emptyProperty, get, invalidated, isBound, removeListener, removeListener, removeListener, set, sizeProperty, toString, unbind`

    - ### Methods inherited from class javafx.beans.property.MapProperty

      `bindBidirectional, setValue, unbindBidirectional`

    - ### Methods inherited from class javafx.beans.property.ReadOnlyMapProperty

      `bindContent, bindContentBidirectional, equals, hashCode, unbindContent, unbindContentBidirectional`

    - ### Methods inherited from class javafx.beans.binding.MapExpression

      `asString, clear, containsKey, containsValue, entrySet, get, getSize, getValue, isEmpty, isEqualTo, isNotEqualTo, isNotNull, isNull, keySet, mapExpression, put, putAll, remove, size, valueAt, valueAt, values`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `getValue`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### ReadOnlyMapWrapper

          public ReadOnlyMapWrapper()

      The constructor of `ReadOnlyMapWrapper`

    - #### ReadOnlyMapWrapper

          public ReadOnlyMapWrapper​(ObservableMap<K,​V> initialValue)

      The constructor of `ReadOnlyMapWrapper`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### ReadOnlyMapWrapper

          public ReadOnlyMapWrapper​(Object bean,
                                    String name)

      The constructor of `ReadOnlyMapWrapper`
      Parameters:
        `bean` - the bean of this `ReadOnlyMapWrapper`
        `name` - the name of this `ReadOnlyMapWrapper`

    - #### ReadOnlyMapWrapper

          public ReadOnlyMapWrapper​(Object bean,
                                    String name,
                                    ObservableMap<K,​V> initialValue)

      The constructor of `ReadOnlyMapWrapper`
      Parameters:
        `bean` - the bean of this `ReadOnlyMapWrapper`
        `name` - the name of this `ReadOnlyMapWrapper`
        `initialValue` - the initial value of the wrapped value

  - ### Method Detail

    - #### getReadOnlyProperty

          public ReadOnlyMapProperty<K,​V> getReadOnlyProperty()

      Returns the readonly property, that is synchronized with this `ReadOnlyMapWrapper`.
      Returns:
        the readonly property

    - #### fireValueChangedEvent

          protected void fireValueChangedEvent()

      Sends notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `MapChangeListener`. This method is called when the value is changed, either manually by calling `MapPropertyBase.set(javafx.collections.ObservableMap)` or in case of a bound property, if the binding becomes invalid.
      Overrides:
        `fireValueChangedEvent` in class `MapPropertyBase<K,​V>`

    - #### fireValueChangedEvent

          protected void fireValueChangedEvent​(MapChangeListener.Change<? extends K,​? extends V> change)

      Sends notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `MapChangeListener`. This method is called when the content of the list changes.
      Overrides:
        `fireValueChangedEvent` in class `MapPropertyBase<K,​V>`
      Parameters:
        `change` - the change that needs to be propagated